Bug 433577 - publican collab bug/feature request
Summary: publican collab bug/feature request
Status: CLOSED NOTABUG
Alias: None
Product: Publican
Classification: Community
Component: publican   
(Show other bugs)
Version: 2.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Brian Forte
QA Contact: Michael Hideo
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-20 04:15 UTC by Christopher Curran
Modified: 2014-06-18 07:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 00:08:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Curran 2008-02-20 04:15:10 UTC
Description of problem:
publican does not handle <collabname> or <collab> tags in the most useful way

Version-Release number of selected component (if applicable):
present version

How reproducible:
always

Steps to Reproduce:
1. put those tags in the authorgroup tag
2.
3.
  
Actual results:
in the html it prints out an unmarked list beneath the last other credit. In the
PDF it prints out nothing.

Expected results:
The PDF should have some text. The best way to do this would be to have a
heading like "In collaboration with".

Additional info:
email me if you want help with deciding on a suitable heading.

Comment 1 Brian Forte 2008-02-21 00:08:29 UTC
This isn't a bug, it's expected behaviour: publican handles <collabname> or <coolab> in the default 
manner as neither tag is recommended for use.

The tag to use for this sort of credit is <othercredit> with an appropriate attribute. An SME, for example 
should probably be credited as follows

<info>
<title>Credits (ie who's to blame)</title>

<author>
	<personname>
		<firstname>Chris</firstname>
		<surname>Curran</surname>
	</personname>
</author>

<othercredit class="technicaleditor">
	<personname>
		<firstname>Jo</firstname>
		<surname>Hacker</surname>
	</personname>
	<contrib>
		Technical Editor for chapters 1 and 2 (covering Foo design and deployment).
	</contrib>
</othercredit>

</info>

If you think of <author> and <editor> as special cases of <othercredit> it's easier to grok.


Note You need to log in before you can comment on or make changes to this bug.